{
    "format_version": "1.12.0",
    "minecraft:entity": {
        "description": {
            "identifier": "bd:leap",
            "is_spawnable": false,
            "is_summonable": true,
            "is_experimental": false,
            "runtime_identifier": "minecraft:snowball",
			"scripts": {
                "animate": [
					"no_anim"
                ]
            },
            "animations": {
				"no_anim": "controller.animation.no_anim"
            }
        },
		"component_groups": {
            "minecraft:exploding": {
                "minecraft:explode": {
                    "fuse_length": 0,
                    "fuse_lit": true,
                    "power": 1,
                    "causes_fire": false,
                    "fire_affected_by_griefing": false,
                    "destroy_affected_by_griefing": true
                }
            }
        },
        "components": {
            "minecraft:collision_box": {
                "width": 0.1,
                "height": 0.1
            },
            "minecraft:type_family": {
                "family": ["inanimate", "scp096", "096", "0961"]
            },
            "minecraft:projectile": {
                "on_hit": {
					"definition_event": {
                        "affect_projectile": true,
                        "event_trigger": {
                            "event": "minecraft:explode",
                            "target": "self"
                        }
                    }
                },
				"liquid_inertia": 2,
				"shoot_target": true,
                "power": 3,
                "gravity": 0.05,
                "angle_offset": 0.0
            },
            "minecraft:physics": {},
            "minecraft:pushable": {
                "is_pushable": true,
                "is_pushable_by_piston": true
            }
        },
		"events": {
            "minecraft:explode": {
                "add": {
                    "component_groups": [
                        "minecraft:exploding"
                    ]
                }
            }
        }
    }
}